# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Mozilla Browser code.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 2002
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#  Brian Ryner <bryner@brianryner.com>
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

DEPTH		= ../..
topsrcdir	= @top_srcdir@
srcdir		= @srcdir@
VPATH		= @srcdir@

include $(DEPTH)/config/autoconf.mk

include $(topsrcdir)/config/rules.mk

NO_PKG_FILES	= \
		  .autoreg \
		  fileMap.rdf \
		  defaults/preferences/debug.js \
		  components/libmaintest.so \
		  components/*xpunit.* \
		  components/*_t.so \
		  components/aaTest*js \
		  modules/*Test*jsm \
		  run-mozilla.sh \
		  $(NULL)


include $(topsrcdir)/toolkit/mozapps/installer/packager.mk

installer:
ifdef INSTALLER_DIR
	$(MAKE) -C $(INSTALLER_DIR)
endif

install::
	$(NSINSTALL) -D $(DESTDIR)$(datadir)/applications
	$(NSINSTALL) -D $(DESTDIR)$(datadir)/pixmaps
	$(SYSINSTALL) $(topsrcdir)/abstract/app/abstract.desktop $(DESTDIR)$(datadir)/applications/
	$(SYSINSTALL) $(topsrcdir)/abstract/app/abstract.png $(DESTDIR)$(datadir)/pixmaps/
##ifeq (,$(filter-out WINNT,$(OS_ARCH)))
##libs:: $(DIST)/$(PKG_BASENAME).msi
##endif
##
##%.wixobj: %.wxs
##	candle $<
##
##.SUFFIXES: .wixobj .wxs
##
##make-msi: $(DIST)/$(PKG_BASENAME).msi
##
##$(DIST)/$(PKG_BASENAME).msi: $(MOZ_APP_NAME).wixobj $(PKG_BASENAME).msm
##	light -out $@ $<
##
##$(PKG_BASENAME).msm: $(MOZ_APP_NAME)_m.wixobj $(MOZ_APP_NAME)_r.wixobj
##	light -out $@ $^
##
##%_m.wxs: %_m.wxs.in
##	$(PERL) $(topsrcdir)/abstract/installer/patch-mod-wxs.pl < $< > $@
##
##$(DIST)/$(MOZ_APP_NAME): stage-package
##
##$(MOZ_APP_NAME)_r.wxs.in: $(DIST)/$(MOZ_APP_NAME)
##	tallow -nologo -d $(DIST)/$(MOZ_APP_NAME) > $@
##
##%_r.wxs: %_r.wxs.in
##	MOZ_APP_NAME=$(MOZ_APP_NAME) $(PERL) $(topsrcdir)/abstract/installer/patch-res-wxs.pl < $< > $@
##
##.PHONY: make-msi
